Loading...
Searching...
No Matches
casacore::TaQLConstNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

More...

`#include <TaQLNodeDer.h>`

## Public Types

enum | Type { CTBool , CTInt , CTReal , CTComplex , CTString , CTTime }
| Do not change the values of this enum, as objects might be persistent. More...

## Public Member Functions

| TaQLConstNodeRep (Bool value)
| TaQLConstNodeRep (Int64 value)
| TaQLConstNodeRep (Double value)
| TaQLConstNodeRep (Double value, const String &unit)
| TaQLConstNodeRep (DComplex value)
| TaQLConstNodeRep (const String &value, Bool isTableName=False)
| TaQLConstNodeRep (const MVTime &value)
| TaQLConstNodeRep (Int64 value, const String &subTableName)
void | setIsTableName ()
const String & | getString () const
const String & | getUnit () const
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

Type | itsType
Bool | itsIsTableName
Bool | itsBValue
Int64 | itsIValue
Double | itsRValue
DComplex | itsCValue
String | itsSValue
MVTime | itsTValue
String | itsUnit

## Detailed Description

Raw TaQL parse tree node defining a constant value.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding a constant expression or a table name. The types supported are Bool, Int, Double, DComplex, String, and MVTime. Note that a keyword or column name is represented by TaQLKeyColNodeRep.

Definition at line 59 of file TaQLNodeDer.h.

## Member Enumeration Documentation

## Type

enum casacore::TaQLConstNodeRep::Type

Do not change the values of this enum, as objects might be persistent.

Enumerator
CTBool |
CTInt |
CTReal |
CTComplex |
CTString |
CTTime |

Definition at line 63 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLConstNodeRep() [1/8]

casacore::TaQLConstNodeRep::TaQLConstNodeRep | ( | Bool | value | ) |

explicit

References casacore::NewDelAllocator< T >::value.

## TaQLConstNodeRep() [2/8]

casacore::TaQLConstNodeRep::TaQLConstNodeRep | ( | Int64 | value | ) |

explicit

References casacore::NewDelAllocator< T >::value.

## TaQLConstNodeRep() [3/8]

casacore::TaQLConstNodeRep::TaQLConstNodeRep | ( | Double | value | ) |

explicit

References casacore::NewDelAllocator< T >::value.

## TaQLConstNodeRep() [4/8]

casacore::TaQLConstNodeRep::TaQLConstNodeRep | ( | Double | value,
|  | const String & | unit )

explicit

References casacore::NewDelAllocator< T >::value.

## TaQLConstNodeRep() [5/8]

casacore::TaQLConstNodeRep::TaQLConstNodeRep | ( | DComplex | value | ) |

explicit

References casacore::NewDelAllocator< T >::value.

## TaQLConstNodeRep() [6/8]

casacore::TaQLConstNodeRep::TaQLConstNodeRep | ( | const String & | value,
|  | Bool | isTableName = False )

explicit

References casacore::False, and casacore::NewDelAllocator< T >::value.

## TaQLConstNodeRep() [7/8]

casacore::TaQLConstNodeRep::TaQLConstNodeRep | ( | const MVTime & | value | ) |

explicit

References casacore::NewDelAllocator< T >::value.

## TaQLConstNodeRep() [8/8]

casacore::TaQLConstNodeRep::TaQLConstNodeRep | ( | Int64 | value,
|  | const String & | subTableName )

explicit

References casacore::NewDelAllocator< T >::value.

## Member Function Documentation

## getString()

const String & casacore::TaQLConstNodeRep::getString | ( |  | ) | const

## getUnit()

const String & casacore::TaQLConstNodeRep::getUnit | ( |  | ) | const

inline

Definition at line 80 of file TaQLNodeDer.h.

References itsUnit.

## restore()

TaQLNode casacore::TaQLConstNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLConstNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## setIsTableName()

void casacore::TaQLConstNodeRep::setIsTableName | ( |  | ) |

inline

Definition at line 77 of file TaQLNodeDer.h.

References itsIsTableName, and casacore::True.

## show()

virtual void casacore::TaQLConstNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLConstNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsBValue

Bool casacore::TaQLConstNodeRep::itsBValue

Definition at line 89 of file TaQLNodeDer.h.

## itsCValue

DComplex casacore::TaQLConstNodeRep::itsCValue

Definition at line 92 of file TaQLNodeDer.h.

## itsIsTableName

Bool casacore::TaQLConstNodeRep::itsIsTableName

Definition at line 88 of file TaQLNodeDer.h.

Referenced by setIsTableName().

## itsIValue

Int64 casacore::TaQLConstNodeRep::itsIValue

Definition at line 90 of file TaQLNodeDer.h.

## itsRValue

Double casacore::TaQLConstNodeRep::itsRValue

Definition at line 91 of file TaQLNodeDer.h.

## itsSValue

String casacore::TaQLConstNodeRep::itsSValue

Definition at line 93 of file TaQLNodeDer.h.

## itsTValue

MVTime casacore::TaQLConstNodeRep::itsTValue

Definition at line 94 of file TaQLNodeDer.h.

## itsType

Type casacore::TaQLConstNodeRep::itsType

Definition at line 87 of file TaQLNodeDer.h.

## itsUnit

String casacore::TaQLConstNodeRep::itsUnit

Definition at line 95 of file TaQLNodeDer.h.

Referenced by getUnit().

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h